classification
Title: _scproxy.so causes EXC_BAD_ACCESS (SIGSEGV)
Type: crash Stage: resolved
Components: macOS Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: exception error in _scproxy.so when called after fork
View: 13829
Assigned To: Nosy List: jrhite, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2015-05-24 02:36 by jrhite, last changed 2015-05-24 07:53 by ned.deily. This issue is now closed.

Messages (3)
msg243961 - (view) Author: Jacob (jrhite) Date: 2015-05-24 02:35
This looks very related to: http://bugs.python.org/issue13829

I have very simple test code that looks like this:

    import requests
    r = requests.get('http://www.google.com')
    print('requests.get() succeeded')

The above code works fine. However, when:
    
    requests.get('http://www.google.com')

is run inside an rq Queue (redis queue) worker I see this problem.

Any fixes or known workarounds for this?




Process:               Python [34628]
Path:                  /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               3.4.3 (3.4.3)
Code Type:             X86-64 (Native)
Parent Process:        Python [34626]
Responsible:           Terminal [333]
User ID:               501

Date/Time:             2015-05-24 08:57:29.055 +0700
OS Version:            Mac OS X 10.10.3 (14D136)
Report Version:        11
Anonymous UUID:        341D1B65-8C01-92A4-0CB5-DC7470E594BF

Sleep/Wake UUID:       5DCBEBD5-671C-48C9-8402-765FABE76C61

Time Awake Since Boot: 230000 seconds
Time Since Wake:       4700 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000110

VM Regions Near 0x110:
-->
    __TEXT                 0000000100239000-000000010023b000 [    8K] r-x/rwx SM=COW  /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/Resources/Python.app/Contents/MacOS/Python

Application Specific Information:
*** multi-threaded process forked ***
crashed on child side of fork pre-exec

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libdispatch.dylib             	0x00007fff80f9616f _dispatch_async_f_slow + 395
1   com.apple.CoreFoundation      	0x00007fff8c571541 _CFPrefsWithDaemonConnection + 305
2   com.apple.CoreFoundation      	0x00007fff8c540ac6 __80-[CFPrefsSearchListSource generationCountFromListOfSources:count:allowFetching:]_block_invoke + 150
3   com.apple.CoreFoundation      	0x00007fff8c5409d2 -[CFPrefsSearchListSource generationCountFromListOfSources:count:allowFetching:] + 258
4   com.apple.CoreFoundation      	0x00007fff8c3fcea5 -[CFPrefsSearchListSource alreadylocked_copyDictionary] + 133
5   com.apple.CoreFoundation      	0x00007fff8c3f7dba -[CFPrefsSearchListSource alreadylocked_copyValueForKey:] + 42
6   com.apple.CoreFoundation      	0x00007fff8c57211c ___CFPreferencesCopyAppValueWithContainer_block_invoke + 60
7   com.apple.CoreFoundation      	0x00007fff8c53f979 +[CFPrefsSearchListSource withSearchListForIdentifier:container:perform:] + 729
8   com.apple.CoreFoundation      	0x00007fff8c572097 _CFPreferencesCopyAppValueWithContainer + 183
9   com.apple.SystemConfiguration 	0x00007fff8c989dd4 SCDynamicStoreCopyProxiesWithOptions + 153
10  _scproxy.so                   	0x0000000100fea8f2 get_proxy_settings + 24
11  org.python.python             	0x00000001002e0c87 PyEval_EvalFrameEx + 18047
12  org.python.python             	0x00000001002e3e8d fast_function + 203
13  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
14  org.python.python             	0x00000001002e3e8d fast_function + 203
15  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
16  org.python.python             	0x00000001002e3e8d fast_function + 203
17  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
18  org.python.python             	0x00000001002e3e8d fast_function + 203
19  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
20  org.python.python             	0x00000001002e3e8d fast_function + 203
21  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
22  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
23  org.python.python             	0x000000010026b562 function_call + 372
24  org.python.python             	0x000000010024b12e PyObject_Call + 103
25  org.python.python             	0x00000001002e12d5 PyEval_EvalFrameEx + 19661
26  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
27  org.python.python             	0x000000010026b562 function_call + 372
28  org.python.python             	0x000000010024b12e PyObject_Call + 103
29  org.python.python             	0x00000001002e12d5 PyEval_EvalFrameEx + 19661
30  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
31  org.python.python             	0x00000001002e3f03 fast_function + 321
32  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
33  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
34  org.python.python             	0x000000010026b562 function_call + 372
35  org.python.python             	0x000000010024b12e PyObject_Call + 103
36  org.python.python             	0x00000001002e12d5 PyEval_EvalFrameEx + 19661
37  org.python.python             	0x00000001002e3e8d fast_function + 203
38  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
39  org.python.python             	0x00000001002e3e8d fast_function + 203
40  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
41  org.python.python             	0x00000001002e3e8d fast_function + 203
42  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
43  org.python.python             	0x00000001002e3e8d fast_function + 203
44  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
45  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
46  org.python.python             	0x00000001002e3f03 fast_function + 321
47  org.python.python             	0x00000001002e0b2a PyEval_EvalFrameEx + 17698
48  org.python.python             	0x00000001002dc459 PyEval_EvalCodeEx + 1593
49  org.python.python             	0x00000001002dbe1a PyEval_EvalCode + 63
50  org.python.python             	0x00000001002fec3d run_mod + 58
51  org.python.python             	0x00000001002feedc PyRun_FileExFlags + 178
52  org.python.python             	0x00000001002fe6e6 PyRun_SimpleFileExFlags + 865
53  org.python.python             	0x0000000100311856 Py_Main + 3130
54  org.python.python             	0x000000010023ae27 0x100239000 + 7719
55  libdyld.dylib                 	0x00007fff830f35c9 start + 1

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000101c01080  rbx: 0x0000000000000001  rcx: 0x0000000000000000  rdx: 0x0000000000000100
  rdi: 0x0000000101c00000  rsi: 0x0000000004000000  rbp: 0x00007fff5f9c43d0  rsp: 0x00007fff5f9c43a0
   r8: 0x0000000101c01080   r9: 0x0000000101c00000  r10: 0x0000000000000001  r11: 0x0000000000000202
  r12: 0x00007fff8501347a  r13: 0x00007fe581f208c0  r14: 0x00007fff70d23bc0  r15: 0x0000000000001000
  rip: 0x00007fff80f9616f  rfl: 0x0000000000010206  cr2: 0x0000000000000110

Logical CPU:     3
Error Code:      0x00000006
Trap Number:     14


Binary Images:
       0x100239000 -        0x10023afff +org.python.python (3.4.3 - 3.4.3) <23324E85-29B4-3292-8E7C-6DA1F9A7E6A6> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/Resources/Python.app/Contents/MacOS/Python
       0x100241000 -        0x100393fff +org.python.python (3.4.3, [c] 2001-2015 Python Software Foundation. - 3.4.3) <F3E86789-301E-3857-AD2B-06D0EC027377> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/Python
       0x10071f000 -        0x100720fff +_heapq.so (0) <27F8105B-B721-37FB-8C85-F263A2CFA462> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_heapq.so
       0x1007a4000 -        0x1007a6fff +time.so (0) <C3BECD10-1B84-3136-8BDD-3741ECA45B67> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/time.so
       0x10090e000 -        0x100912fff +math.so (0) <EE481CDA-4762-3245-89D3-F5EBC8C5818E> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/math.so
       0x100917000 -        0x100920fff +_datetime.so (0) <4D823640-2BA0-3583-A0E4-1E02F080B2B9> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_datetime.so
       0x100968000 -        0x10096afff +select.so (0) <134D2656-0A42-3788-942D-76404857D11E> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/select.so
       0x10096f000 -        0x100977ff7 +_socket.so (0) <DDA3275D-3F76-3DE5-A300-01D27FAA6676> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_socket.so
       0x100981000 -        0x10098bfff +_ssl.so (0) <10210A6E-8ED2-372E-B0A0-3ABE05B67810> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_ssl.so
       0x100995000 -        0x1009d2fff +libssl.1.0.0.dylib (0) <E3A72D4D-CC10-33BD-8540-6207BDCAC4F1> /usr/local/opt/openssl/lib/libssl.1.0.0.dylib
       0x1009ee000 -        0x100b5e47f +libcrypto.1.0.0.dylib (0) <E670BEBD-393C-3E43-8D3D-2244A2799727> /usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib
       0x100c15000 -        0x100c18fff +_struct.so (0) <6B8C7ACB-72B8-3AF7-9E03-3A153BFC9934> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_struct.so
       0x100c1f000 -        0x100c22fff +binascii.so (0) <BD658403-190F-36A7-82FF-F28405B0D144> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/binascii.so
       0x100c25000 -        0x100c34fff +_ctypes.so (0) <E2FE7A2A-9870-36A6-9B30-163414B662EE> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_ctypes.so
       0x100c80000 -        0x100c81fff +_posixsubprocess.so (0) <7732BBB0-E68B-3977-B337-F03C53307F31> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_posixsubprocess.so
       0x100d04000 -        0x100d04fff +_opcode.so (0) <B3E54060-EDAC-3842-B65A-987168573EBC> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_opcode.so
       0x100d87000 -        0x100d92fff +_pickle.so (0) <6AF728DA-6898-38B1-9FA6-F4A1864CE598> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_pickle.so
       0x100d9c000 -        0x100d9ffff +_hashlib.so (0) <ED99FBAA-E336-3BB6-810E-60206797ECBE> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_hashlib.so
       0x100da3000 -        0x100da4ff7 +_random.so (0) <EDB26E4B-DF8D-3E43-A0AD-90C066E82896> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_random.so
       0x100e27000 -        0x100e2dfff +_elementtree.so (0) <456D6939-9F47-3D1F-B524-B3C9308C35C6> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_elementtree.so
       0x100e33000 -        0x100e52ff7 +pyexpat.so (0) <FC68D05B-9326-31E0-903D-C952478C9B08> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/pyexpat.so
       0x100f1e000 -        0x100f1efff +_bisect.so (0) <95B6F1C8-C373-3910-8D09-A6BDEB1355C6> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_bisect.so
       0x100fe1000 -        0x100fe2fff +grp.so (0) <79B1F535-F66D-3E27-9542-8040919218AB> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/grp.so
       0x100fe5000 -        0x100fe6fff +_bz2.so (0) <BCF5C2EA-E058-33B5-811A-5816733EF3D2> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_bz2.so
       0x100fe9000 -        0x100feafff +_scproxy.so (0) <ABED5651-61C7-30E5-BBFB-303AEA98DAD3> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_scproxy.so
       0x100fed000 -        0x1010a3ff7 +unicodedata.so (0) <8121F180-50ED-30D5-AC56-83A813404930> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/unicodedata.so
       0x1010e8000 -        0x1010edfff +array.so (0) <81FD7ACD-202B-3E1E-AE01-789D12335231> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/array.so
       0x101324000 -        0x10132bfff +_tkinter.so (0) <3E8A3E52-D076-3CDE-BD9A-15E740701EDA> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_tkinter.so
       0x101331000 -        0x1013fefff  Tcl (8.5.9 - 8.5.9) <7C2A7E71-4614-3716-B87F-00FCC6A58D8E> /System/Library/Frameworks/Tcl.framework/Versions/8.5/Tcl
       0x10141d000 -        0x101507fff  Tk (8.5.9 - 8.5.9) <D6939B55-F83C-30B8-9F16-27B46F693E8E> /System/Library/Frameworks/Tk.framework/Versions/8.5/Tk
       0x1015d0000 -        0x1015d4fff +_json.so (0) <98CEC151-157F-3A5E-A7C8-6A583AF3DD46> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_json.so
       0x1015d8000 -        0x1015dbfff +zlib.so (0) <0BF28DFE-298B-396F-9DC7-469AB661AF2D> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/zlib.so
       0x1015e0000 -        0x1015e3fff +_lzma.so (0) <522FF411-322C-351B-B33E-C6341D5DA625> /usr/local/Cellar/python3/3.4.3/Frameworks/Python.framework/Versions/3.4/lib/python3.4/lib-dynload/_lzma.so
       0x101e80000 -        0x101e9cff7 +liblzma.5.dylib (0) <8CD2A0DF-4B4E-3C7B-AF46-B8C07555596B> /usr/local/lib/liblzma.5.dylib
    0x7fff6310f000 -     0x7fff63145837  dyld (353.2.1) <65DCCB06-339C-3E25-9702-600A28291D0E> /usr/lib/dyld
    0x7fff80c69000 -     0x7fff80c85fff  com.apple.GenerationalStorage (2.0 - 209.11) <9FF8DD11-25FB-3047-A5BF-9415339B3EEC> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff80c86000 -     0x7fff80ca0fff  com.apple.AppleVPAFramework (1.4.3 - 1.4.3) <AE62A92E-EDA7-37AD-8AF0-7912E9381A1F> /System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA
    0x7fff80caa000 -     0x7fff80f79ff3  com.apple.CoreImage (10.3.4) <C1AE8252-A95D-3BF4-83B8-BE85E979F2CB> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff80f90000 -     0x7fff80fbaff7  libdispatch.dylib (442.1.4) <502CF32B-669B-3709-8862-08188225E4F0> /usr/lib/system/libdispatch.dylib
    0x7fff81848000 -     0x7fff8184dfff  com.apple.DiskArbitration (2.6 - 2.6) <0DFF4D9B-2AC3-3B82-B5C5-30F4EFBD2DB9> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8184e000 -     0x7fff81b81ff7  libmecabra.dylib (666.7) <0ED8AE5E-7A5B-34A6-A2EE-2B852E60E1E2> /usr/lib/libmecabra.dylib
    0x7fff81d55000 -     0x7fff82086fff  com.apple.Foundation (6.9 - 1153.20) <F0FF3A5D-C5B7-34A1-9319-DE1EF928E58E> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff82087000 -     0x7fff8209dff7  libsystem_asl.dylib (267) <F153AC5B-0542-356E-88C8-20A62CA704E2> /usr/lib/system/libsystem_asl.dylib
    0x7fff82116000 -     0x7fff82185fff  com.apple.SearchKit (1.4.0 - 1.4.0) <80883BD1-C9BA-3794-A20E-476F94DD89A9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff82186000 -     0x7fff821a6fff  com.apple.IconServices (47.1 - 47.1) <E83DFE3B-6541-3736-96BB-26DC5D0100F1> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff821a7000 -     0x7fff8230effb  com.apple.audio.toolbox.AudioToolbox (1.12 - 1.12) <5678FC94-456A-3F5F-BA9A-10EB6E462997> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff82555000 -     0x7fff82566ff7  libz.1.dylib (55) <88C7C7DE-04B8-316F-8B74-ACD9F3DE1AA1> /usr/lib/libz.1.dylib
    0x7fff82567000 -     0x7fff82569fff  libsystem_configuration.dylib (699.1.5) <20F3B077-179D-3CB0-A3C1-C8602D53B4DB> /usr/lib/system/libsystem_configuration.dylib
    0x7fff82baf000 -     0x7fff82ca3fff  libFontParser.dylib (134.2) <9F57B025-AB9C-31DD-9D54-2D7AB1298885> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff82caa000 -     0x7fff82caefff  libcache.dylib (69) <45E9A2E7-99C4-36B2-BEE3-0C4E11614AD1> /usr/lib/system/libcache.dylib
    0x7fff82cfc000 -     0x7fff82cfcfff  com.apple.Accelerate (1.10 - Accelerate 1.10) <2C8AF258-4F11-3BEC-A826-22D7199B3975> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff82cfd000 -     0x7fff82dbdff7  com.apple.backup.framework (1.6.4 - 1.6.4) <A67CE7D7-AAE4-3AC0-86B7-EAF403853D09> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff82dbe000 -     0x7fff82de4fff  com.apple.ChunkingLibrary (2.1 - 163.6) <29D4CB95-42EF-34C6-8182-BDB6F7BB1E79> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff82e6e000 -     0x7fff82e77ff7  libsystem_notify.dylib (133.1.1) <61147800-F320-3DAA-850C-BADF33855F29> /usr/lib/system/libsystem_notify.dylib
    0x7fff82e78000 -     0x7fff82e78fff  com.apple.ApplicationServices (48 - 48) <5BF7910B-C328-3BF8-BA4F-CE52B574CE01> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff82eab000 -     0x7fff82ebdff7  com.apple.ImageCapture (9.0 - 9.0) <7FB65DD4-56B5-35C4-862C-7A2DED991D1F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff82ec1000 -     0x7fff82ed2fff  libsystem_coretls.dylib (35.20.2) <6084A531-2523-39F8-B030-811FA1A32FB5> /usr/lib/system/libsystem_coretls.dylib
    0x7fff82f92000 -     0x7fff82fccffb  com.apple.DebugSymbols (115 - 115) <6F03761D-7C3A-3C80-8031-AA1C1AD7C706> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff82fd6000 -     0x7fff8303dff7  com.apple.framework.CoreWiFi (3.0 - 300.4) <19269C1D-EB29-384A-83F3-7DDDEB7D9DAD> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8303e000 -     0x7fff8303efff  com.apple.CoreServices (62 - 62) <C69DA8A7-B536-34BF-A93F-1C170E2C6D58> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8303f000 -     0x7fff83040ff7  libsystem_blocks.dylib (65) <9615D10A-FCA7-3BE4-AA1A-1B195DACE1A1> /usr/lib/system/libsystem_blocks.dylib
    0x7fff830f0000 -     0x7fff830f3ff7  libdyld.dylib (353.2.1) <9EACCA38-291D-38CC-811F-7E9D1451E2D3> /usr/lib/system/libdyld.dylib
    0x7fff83655000 -     0x7fff83661ff7  com.apple.OpenDirectory (10.10 - 187) <1E07769D-68DE-3BF2-8E9E-A1E98BF70D1B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8374a000 -     0x7fff8374efff  libpam.2.dylib (20) <E805398D-9A92-31F8-8005-8DC188BD8B6E> /usr/lib/libpam.2.dylib
    0x7fff83767000 -     0x7fff837fcff7  com.apple.ColorSync (4.9.0 - 4.9.0) <9150C2B7-2E6E-3509-96EA-7B3F959F049E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff83822000 -     0x7fff83822ff7  libunc.dylib (29) <5676F7EA-C1DF-329F-B006-D2C3022B7D70> /usr/lib/system/libunc.dylib
    0x7fff83823000 -     0x7fff8382bffb  libcopyfile.dylib (118.1.2) <0C68D3A6-ACDD-3EF3-991A-CC82C32AB836> /usr/lib/system/libcopyfile.dylib
    0x7fff8389c000 -     0x7fff8390affb  com.apple.Heimdal (4.0 - 2.0) <7697A837-98B8-3BDB-A7D2-8ED4C9ABC510> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff839fc000 -     0x7fff83a25ffb  libxslt.1.dylib (13) <AED1143F-B848-3E73-81ED-71356F25F084> /usr/lib/libxslt.1.dylib
    0x7fff83acb000 -     0x7fff83acffff  com.apple.CommonPanels (1.2.6 - 96) <F9ECC8AF-D9CA-3350-AFB4-5113A9B789A5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff83ad0000 -     0x7fff83ad8fff  libsystem_platform.dylib (63) <64E34079-D712-3D66-9CE2-418624A5C040> /usr/lib/system/libsystem_platform.dylib
    0x7fff83ad9000 -     0x7fff83b1fff7  libauto.dylib (186) <A260789B-D4D8-316A-9490-254767B8A5F1> /usr/lib/libauto.dylib
    0x7fff83b20000 -     0x7fff83b25ff7  libunwind.dylib (35.3) <BE7E51A0-B6EA-3A54-9CCA-9D88F683A6D6> /usr/lib/system/libunwind.dylib
    0x7fff83b31000 -     0x7fff83b32ffb  libremovefile.dylib (35) <3485B5F4-6CE8-3C62-8DFD-8736ED6E8531> /usr/lib/system/libremovefile.dylib
    0x7fff83b70000 -     0x7fff83c0efff  com.apple.Metadata (10.7.0 - 917.35) <8CBD1D32-4F4B-3F9A-AC65-76F2B5376FBF> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff83dd9000 -     0x7fff84043ff7  com.apple.security (7.0 - 57031.20.26) <6568520A-587D-3167-BB79-60CE6FEADC64> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8406d000 -     0x7fff840f6ff7  com.apple.CoreSymbolication (3.1 - 57020.1) <85707039-0C8A-3409-B0B5-153431CC1841> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff840f7000 -     0x7fff8417bfff  com.apple.PerformanceAnalysis (1.0 - 1) <599AED3E-B689-3C40-8B91-93AD36C97658> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff8417c000 -     0x7fff84cfdff7  com.apple.AppKit (6.9 - 1347.57) <B214D528-7D1C-39B2-BE36-821D417A0297> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff84cfe000 -     0x7fff84e8cfff  libBLAS.dylib (1128) <497912C1-A98E-3281-BED7-E9C751552F61> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff84e8d000 -     0x7fff84ef4ffb  com.apple.datadetectorscore (6.0 - 396.1.1) <9B0B3198-DDBE-36C0-8BA9-3EC89C725282> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff84fd8000 -     0x7fff84fddffb  libheimdal-asn1.dylib (398.10.1) <A7B6447A-6680-3625-83C3-993B58D5C43F> /usr/lib/libheimdal-asn1.dylib
    0x7fff8500e000 -     0x7fff85036fff  libxpc.dylib (559.20.9) <D35D0DB2-D7BD-3BE4-8378-062BFE545E1D> /usr/lib/system/libxpc.dylib
    0x7fff850e4000 -     0x7fff850f1ff7  com.apple.SpeechRecognitionCore (2.1.2 - 2.1.2) <551322E2-C1E4-3378-A218-F362985E3E3C> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff85263000 -     0x7fff85264ff3  libSystem.B.dylib (1213) <CCEC13A5-D0D9-31C5-B0B0-1C564B4A20A6> /usr/lib/libSystem.B.dylib
    0x7fff85265000 -     0x7fff85aa1fe3  com.apple.CoreGraphics (1.600.0 - 779.11) <DC15AADD-387C-348E-84F0-1C8BAAB1B567> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff85b23000 -     0x7fff85bb7fff  com.apple.ink.framework (10.9 - 213) <8E029630-1530-3734-A446-13353F0E7AC5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff86222000 -     0x7fff86229ff7  libcompiler_rt.dylib (35) <BF8FC133-EE10-3DA6-9B90-92039E28678F> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8622a000 -     0x7fff8626bfff  libGLU.dylib (11.1.2) <4C54F0D1-2ADC-38A0-92D1-F479E9B99355> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8626c000 -     0x7fff86288ff7  libsystem_malloc.dylib (53.1.1) <19BCC257-5717-3502-A71F-95D65AFA861B> /usr/lib/system/libsystem_malloc.dylib
    0x7fff863ce000 -     0x7fff863cefff  com.apple.Cocoa (6.8 - 21) <EAC0EA1E-3C62-3B28-A941-5D8B1E085FF8> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff863cf000 -     0x7fff863ecfff  libsystem_kernel.dylib (2782.20.48) <EAFD7BD0-0C30-3E7D-9528-F9916BA0167C> /usr/lib/system/libsystem_kernel.dylib
    0x7fff863ed000 -     0x7fff86463fe7  libcorecrypto.dylib (233.1.2) <E1789801-3985-3949-B736-6B3378873301> /usr/lib/system/libcorecrypto.dylib
    0x7fff86464000 -     0x7fff86466fff  libquarantine.dylib (76.20.1) <7AF90041-2768-378A-925A-D83161863642> /usr/lib/system/libquarantine.dylib
    0x7fff8672d000 -     0x7fff8673efff  libcmph.dylib (1) <46EC3997-DB5E-38AE-BBBB-A035A54AD3C0> /usr/lib/libcmph.dylib
    0x7fff867cb000 -     0x7fff8697bff3  com.apple.QuartzCore (1.10 - 361.18) <ACA61D8F-9535-3141-8FDD-AC3EF6BF0806> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff869fa000 -     0x7fff86a02fff  libsystem_dnssd.dylib (561.1.1) <62B70ECA-E40D-3C63-896E-7F00EC386DDB> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff86a03000 -     0x7fff86a05fff  libsystem_sandbox.dylib (358.20.5) <4CF77128-6BE0-3958-B646-707FA9CE61B2> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff86c0f000 -     0x7fff86c17ff3  com.apple.CoreServices.FSEvents (1210.20.1 - 1210.20.1) <84F79D3E-7B5E-3C93-8479-35794A3F125E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff871a8000 -     0x7fff871a8fff  com.apple.audio.units.AudioUnit (1.12 - 1.12) <E5335492-7EFE-31EA-BE72-4A9CEE68D58E> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff871d8000 -     0x7fff87237fff  com.apple.AE (681.2 - 681.2) <181B3B06-2DC6-3E4D-B44A-2551C5E9CF6F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff87238000 -     0x7fff87645ff7  libLAPACK.dylib (1128) <F9201AE7-B031-36DB-BCF8-971E994EF7C1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff87646000 -     0x7fff87647fff  liblangid.dylib (117) <B54A4AA0-2E53-3671-90F5-AFF711C0EB9E> /usr/lib/liblangid.dylib
    0x7fff8831a000 -     0x7fff88324ff7  com.apple.NetAuth (5.2 - 5.2) <2BBD749A-8E18-35B8-8E48-A90347C1CCA7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8844a000 -     0x7fff88464ff7  libextension.dylib (55.2) <3BB019CA-199A-36AC-AA22-14B562138545> /usr/lib/libextension.dylib
    0x7fff88768000 -     0x7fff887a0fff  com.apple.RemoteViewServices (2.0 - 99) <C9A62691-B0D9-34B7-B71C-A48B5F4DC553> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff88ea5000 -     0x7fff88f31ff7  libsystem_c.dylib (1044.10.1) <86FBED7A-F2C8-3591-AD6F-486DD57E6B6A> /usr/lib/system/libsystem_c.dylib
    0x7fff88fc1000 -     0x7fff892c6ff3  com.apple.HIToolbox (2.1.1 - 758.7) <6711FAA9-904A-3B49-9665-FC8D13B93C42> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff892c7000 -     0x7fff894acff7  libicucore.A.dylib (531.48) <3CD34752-B1F9-31D2-865D-B5B0F0BE3111> /usr/lib/libicucore.A.dylib
    0x7fff894ad000 -     0x7fff89794ffb  com.apple.CoreServices.CarbonCore (1108.6 - 1108.6) <8953580E-7857-33B2-AA64-98296830D3A8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff89795000 -     0x7fff898aeffb  com.apple.CoreText (352.0 - 454.6) <D45790B0-E1A3-3C7D-8BA2-AB71D2CFA7FB> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff898af000 -     0x7fff898c6ff7  libLinearAlgebra.dylib (1128) <E78CCBAA-A999-3B65-8EC9-06DB15E67C37> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff898c7000 -     0x7fff898e1ff7  liblzma.5.dylib (7) <1D03E875-A7C0-3028-814C-3C27F7B7C079> /usr/lib/liblzma.5.dylib
    0x7fff89a28000 -     0x7fff89a58fff  com.apple.GSS (4.0 - 2.0) <A37BAF76-C262-3292-B82D-F004CAC5F333> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff89a59000 -     0x7fff89ab4fe7  libTIFF.dylib (1237) <6C8BBCA3-C233-3941-ACF9-F06C5E6EE2E6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff89b27000 -     0x7fff89c19ff7  libiconv.2.dylib (42) <2A06D02F-8B76-3864-8D96-64EF5B40BC6C> /usr/lib/libiconv.2.dylib
    0x7fff89c1a000 -     0x7fff8a04afff  com.apple.vision.FaceCore (3.1.6 - 3.1.6) <C3B823AA-C261-37D3-B4AC-C59CE91C8241> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8a30f000 -     0x7fff8a51cff3  com.apple.CFNetwork (720.3.13 - 720.3.13) <69E15385-5784-3912-88F6-03B16F1C1A5C> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff8a51d000 -     0x7fff8a537ff3  com.apple.Ubiquity (1.3 - 313) <DF56A657-CC6E-3BE2-86A0-71F07127724C> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8a5c6000 -     0x7fff8a6f6fff  com.apple.UIFoundation (1.0 - 1) <466BDFA8-0B9F-3AB0-989D-F9779422926A> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff8a75b000 -     0x7fff8a788fff  com.apple.CoreVideo (1.8 - 145.1) <18DB07E0-B927-3260-A234-636F298D1917> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8a90e000 -     0x7fff8a913ff7  libmacho.dylib (862) <126CA2ED-DE91-308F-8881-B9DAEC3C63B6> /usr/lib/system/libmacho.dylib
    0x7fff8a95b000 -     0x7fff8a968fff  libxar.1.dylib (255) <7CD69BB5-97BA-3858-8A8B-2F33F129E6E7> /usr/lib/libxar.1.dylib
    0x7fff8aa29000 -     0x7fff8aa83ff7  com.apple.LanguageModeling (1.0 - 1) <ACA93FE0-A0E3-333E-AE3C-8EB7DE5F362F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff8adf0000 -     0x7fff8adfbfff  libGL.dylib (11.1.2) <BF99CC65-215A-3C7D-87D7-3F7EE6E9B3DD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8adfe000 -     0x7fff8adfefff  com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <9D749502-A228-3BF1-B52F-A182DEEB2C4D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8ae5a000 -     0x7fff8afa0fef  libsqlite3.dylib (168) <8B78BED1-7B9B-3943-80DC-0871015AEAC4> /usr/lib/libsqlite3.dylib
    0x7fff8afa1000 -     0x7fff8afccff3  libarchive.2.dylib (30) <8CBB4416-EBE9-3574-8ADC-44655D245F39> /usr/lib/libarchive.2.dylib
    0x7fff8b936000 -     0x7fff8b937ff7  com.apple.print.framework.Print (10.0 - 265) <3BC4FE7F-78A0-3E57-8F4C-520E7EFD36FA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8b938000 -     0x7fff8b938fff  libOpenScriptingUtil.dylib (162.1) <E0605012-0DDB-3150-8FD0-699376FA3CD0> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff8b939000 -     0x7fff8b985ff7  libcups.2.dylib (408.2) <E8AD18F9-61E4-3791-B840-504468C25556> /usr/lib/libcups.2.dylib
    0x7fff8ba72000 -     0x7fff8ba72ff7  liblaunch.dylib (559.20.9) <FA89A113-696E-3271-8FE1-A0D7324E8481> /usr/lib/system/liblaunch.dylib
    0x7fff8ba73000 -     0x7fff8ba86ff7  com.apple.CoreBluetooth (1.0 - 1) <8D7BA9BA-EB36-307A-9119-0B3D9732C953> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff8bd36000 -     0x7fff8bd76ff7  libGLImage.dylib (11.1.2) <260A4BF3-DC45-369C-A0CD-B667F9D17179> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8bd77000 -     0x7fff8bd94fff  com.apple.MultitouchSupport.framework (263.9.1 - 263.9.1) <6ABD3AE2-DF6A-3AB2-994B-9C0FB42CE2B7> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff8bd95000 -     0x7fff8bd9efff  libGFXShared.dylib (11.1.2) <0BAF2EA8-3BC4-3BF4-ABB6-A6E0A1F3F6A5> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8be34000 -     0x7fff8be59fff  libPng.dylib (1237) <F5652650-87ED-3D53-9E59-A897DFA41DD0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8be5a000 -     0x7fff8be65fff  libcommonCrypto.dylib (60061) <D381EBC6-69D8-31D3-8084-5A80A32CB748> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8be66000 -     0x7fff8be67fff  libDiagnosticMessagesClient.dylib (100) <2EE8E436-5CDC-34C5-9959-5BA218D507FB> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8bfd0000 -     0x7fff8bfd7fff  com.apple.NetFS (6.0 - 4.0) <1581D25F-CC07-39B0-90E8-5D4F3CF84EBA> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8bfd8000 -     0x7fff8c013fff  com.apple.Symbolication (1.4 - 56045) <D64571B1-4483-3FE2-BD67-A91360F79727> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8c074000 -     0x7fff8c09cfff  libsystem_info.dylib (459.20.1) <AEB3FE62-4763-3050-8352-D6F9AF961AE6> /usr/lib/system/libsystem_info.dylib
    0x7fff8c0d9000 -     0x7fff8c1e8ff3  com.apple.desktopservices (1.9.3 - 1.9.3) <FEE11342-5BC4-37A7-8169-DA48BE17B9C9> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8c1e9000 -     0x7fff8c1f2fff  libsystem_pthread.dylib (105.10.1) <3103AA7F-3BAE-3673-9649-47FFD7E15C97> /usr/lib/system/libsystem_pthread.dylib
    0x7fff8c200000 -     0x7fff8c21dffb  libresolv.9.dylib (57) <26B38E61-298A-3C3A-82C1-3B5E98AD5E29> /usr/lib/libresolv.9.dylib
    0x7fff8c21e000 -     0x7fff8c2c0fff  com.apple.Bluetooth (4.3.4 - 4.3.4f4) <A1120885-F31B-3C13-9B0D-2589F391CC7A> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff8c2fe000 -     0x7fff8c304ff7  libsystem_networkextension.dylib (167.1.10) <29AB225B-D7FB-30ED-9600-65D44B9A9442> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff8c30b000 -     0x7fff8c32ffef  libJPEG.dylib (1237) <6DB10054-5C64-32FB-83FD-E102A8F73258> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8c34c000 -     0x7fff8c34efff  com.apple.loginsupport (1.0 - 1) <DAAD7013-A19D-3858-BFF7-DE1DAF664401> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff8c357000 -     0x7fff8c37bff7  com.apple.Sharing (328.16 - 328.16) <F96C7040-5FAF-3BC6-AE1E-5BF9CBE786C4> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff8c395000 -     0x7fff8c397fff  libCVMSPluginSupport.dylib (11.1.2) <6EFEC4A6-2EAC-3C27-820E-C28BE71B9FCB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff8c3b5000 -     0x7fff8c74dff7  com.apple.CoreFoundation (6.9 - 1153.18) <5C0892B8-9691-341F-9279-CA3A74D59AA0> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8c761000 -     0x7fff8c800e27  com.apple.AppleJPEG (1.0 - 1) <6627DDD9-A8FE-3968-B23A-B6A29AA3919A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff8c8a1000 -     0x7fff8c8eeff7  com.apple.print.framework.PrintCore (10.3 - 451.1) <DE992474-0841-38A1-B4F6-46D653E454D5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8c8ef000 -     0x7fff8c960ffb  com.apple.ApplicationServices.ATS (360 - 375.2) <2338AF23-528F-359A-847F-8B04E49E2B84> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8c974000 -     0x7fff8c982ff7  com.apple.opengl (11.1.2 - 11.1.2) <864B35BF-1E76-382B-8D5F-38C7282621E6> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8c983000 -     0x7fff8c9fbff7  com.apple.SystemConfiguration (1.14 - 1.14) <06A8405D-53BA-30A9-BA8A-222099176091> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8c9fc000 -     0x7fff8ca2cfff  libsystem_m.dylib (3086.1) <1E12AB45-6D96-36D0-A226-F24D9FB0D9D6> /usr/lib/system/libsystem_m.dylib
    0x7fff8ca2d000 -     0x7fff8ca32fff  libsystem_stats.dylib (163.20.16) <FBC3F80F-A0FB-3BD6-9A7E-800DE45F092E> /usr/lib/system/libsystem_stats.dylib
    0x7fff8ca63000 -     0x7fff8ca9bfff  libsystem_network.dylib (412.20.3) <589A5F67-BE2A-3245-A181-0ECC9B53EB00> /usr/lib/system/libsystem_network.dylib
    0x7fff8ce36000 -     0x7fff8ce8afff  libc++.1.dylib (120) <1B9530FD-989B-3174-BB1C-BDC159501710> /usr/lib/libc++.1.dylib
    0x7fff8ce8b000 -     0x7fff8d08546f  libobjc.A.dylib (647) <759E155D-BC42-3D4E-869B-6F57D477177C> /usr/lib/libobjc.A.dylib
    0x7fff8d086000 -     0x7fff8d3a1fcf  com.apple.vImage (8.0 - 8.0) <1183FE6A-FDB6-3B3B-928D-50C7909F2308> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8d3a2000 -     0x7fff8d3f3fff  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <450293F7-DAE7-3DD0-8F7C-71FC2FD72627> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8d451000 -     0x7fff8d45eff7  libbz2.1.0.dylib (36) <2DF83FBC-5C08-39E1-94F5-C28653791B5F> /usr/lib/libbz2.1.0.dylib
    0x7fff8d49f000 -     0x7fff8d71eff7  com.apple.CoreData (111 - 526.3) <5A27E0D8-5E5A-335B-B3F6-2601C7B976FA> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8d721000 -     0x7fff8d767ff7  libFontRegistry.dylib (134.1) <CE41D8C2-BEED-345C-BC4F-3775CC06C672> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8d769000 -     0x7fff8d7b8ff7  com.apple.opencl (2.4.2 - 2.4.2) <4A9574ED-15CF-3EBB-B4C0-D30F644D6C74> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8d7b9000 -     0x7fff8d7c4ff7  com.apple.CrashReporterSupport (10.10 - 631) <D87A64FA-64B1-3B23-BB43-ADE173C108C6> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff8da62000 -     0x7fff8da65fff  com.apple.xpc.ServiceManagement (1.0 - 1) <9E025823-660A-30C5-A568-223BD595B6F7> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff8da85000 -     0x7fff8daa6fff  com.apple.framework.Apple80211 (10.3 - 1030.71.6) <D3862426-2586-3DF7-BA75-9A184FCD74C4> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff8daa7000 -     0x7fff8dbcfff7  com.apple.coreui (2.1 - 308.6) <DEA5D3E1-D333-302B-A6CF-7643BFDFAED0> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8dd37000 -     0x7fff8dda3fff  com.apple.framework.CoreWLAN (5.0 - 500.35.2) <5E228544-77A9-3AA5-8355-E8F6626F50E7> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8dda4000 -     0x7fff8deb6ff7  libvDSP.dylib (516) <151B3CCB-77D3-3715-A3D0-7C74CD5C7FFC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8deca000 -     0x7fff8decdfff  com.apple.help (1.3.3 - 46) <CA4541F4-CEF5-355C-8F1F-EA65DC1B400F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8dfdb000 -     0x7fff8e0cbfef  libJP2.dylib (1237) <A24C99BF-2360-343F-BCA1-F044E78EA0DE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff8e0cc000 -     0x7fff8e14afff  com.apple.CoreServices.OSServices (640.4 - 640.4) <20121A5E-7AB5-3624-8CF0-3562F97C8A95> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8e3bc000 -     0x7fff8e3bffff  com.apple.IOSurface (97.4 - 97.4) <AE11CFBC-4D46-30F3-BEEC-4C8131079391> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8e3c3000 -     0x7fff8e3eefff  libc++abi.dylib (125) <88A22A0F-87C6-3002-BFBA-AC0F2808B8B9> /usr/lib/libc++abi.dylib
    0x7fff8e4f2000 -     0x7fff8e616ff7  com.apple.LaunchServices (644.56 - 644.56) <20AABB1C-9319-3E4D-A024-51B0DD5FCD3B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8e620000 -     0x7fff8e694ffb  com.apple.securityfoundation (6.0 - 55126) <42589E18-D38C-3E25-B638-6E29740C224C> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8e695000 -     0x7fff8e6a0ff7  libkxld.dylib (2782.20.48) <28EF8328-E3E2-336A-974B-FB1BF119D55A> /usr/lib/system/libkxld.dylib
    0x7fff8e723000 -     0x7fff8e73cff7  com.apple.CFOpenDirectory (10.10 - 187) <790ED527-EFD2-3EA6-8C97-A8C04E96EBA7> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8e745000 -     0x7fff8e74eff3  com.apple.CommonAuth (4.0 - 2.0) <BA9F5A09-D200-3D18-9F4A-20C789291A30> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8e7c3000 -     0x7fff8e7d2fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <D1E527E4-C561-352F-9457-E8C50232793C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff8e7d3000 -     0x7fff8e7d5ff7  libsystem_coreservices.dylib (9) <41B7C578-5A53-31C8-A96F-C73E030B0938> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff8e7fc000 -     0x7fff8e7fcff7  libkeymgr.dylib (28) <77845842-DE70-3CC5-BD01-C3D14227CED5> /usr/lib/system/libkeymgr.dylib
    0x7fff8eb0e000 -     0x7fff8eb10fff  libRadiance.dylib (1237) <9B048776-53BB-3947-8ECE-9DDA804C86B2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8eb1a000 -     0x7fff8ec0cfff  libxml2.2.dylib (26) <B834E7C8-EC3E-3382-BC5A-DA38DC4D720C> /usr/lib/libxml2.2.dylib
    0x7fff8ec0d000 -     0x7fff8ec27ff7  com.apple.Kerberos (3.0 - 1) <7760E0C2-A222-3709-B2A6-B692D900CEB1> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8eeea000 -     0x7fff8eeeafff  com.apple.Carbon (154 - 157) <9BF51672-1684-3FDE-A561-FC59A2864EF8> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff8eeeb000 -     0x7fff8ef04ffb  com.apple.openscripting (1.4 - 162.1) <E6B42781-A556-355A-8A49-82A8D2B347FF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8ef05000 -     0x7fff8ef09fff  libCoreVMClient.dylib (79.1) <201EF6DF-5074-3CB7-A361-398CF957A264> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8ef0a000 -     0x7fff8efb9fe7  libvMisc.dylib (516) <6739E390-46E7-3BFA-9B69-B278562326E6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8f00e000 -     0x7fff8f039fff  com.apple.DictionaryServices (1.2 - 229) <F03DFAC6-6285-3176-9C6D-7CC50F8CD52A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8f06a000 -     0x7fff8f085ff7  libCRFSuite.dylib (34) <D64842BE-7BD4-3D0C-9842-1D202F7C2A51> /usr/lib/libCRFSuite.dylib
    0x7fff8f216000 -     0x7fff8f260ff7  com.apple.HIServices (1.22 - 522.1) <E8BD41E4-7747-3CAF-807A-5CA9AD16B525> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff8f261000 -     0x7fff8f262fff  libsystem_secinit.dylib (18) <581DAD0F-6B63-3A48-B63B-917AF799ABAA> /usr/lib/system/libsystem_secinit.dylib
    0x7fff8f263000 -     0x7fff8f26eff7  com.apple.speech.synthesis.framework (5.3.3 - 5.3.3) <A5640275-E2A6-3856-95EF-5F0DC440B10C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8f2fc000 -     0x7fff8f302fff  com.apple.speech.recognition.framework (5.0.9 - 5.0.9) <BB2D573F-0A01-379F-A2BA-3C454EDCB111> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8f35e000 -     0x7fff8f3d0fff  com.apple.framework.IOKit (2.0.2 - 1050.20.2) <09C0518C-90DF-3FC3-96D6-34D35F72C8EF> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff90514000 -     0x7fff9064efff  com.apple.ImageIO.framework (3.3.0 - 1237) <3C06213D-847A-3C7B-843E-6EC37113965D> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff9064f000 -     0x7fff9065fff7  libbsm.0.dylib (34) <A3A2E56C-2B65-37C7-B43A-A1F926E1A0BB> /usr/lib/libbsm.0.dylib
    0x7fff90660000 -     0x7fff90666fff  libsystem_trace.dylib (72.20.1) <840F5301-B55A-3078-90B9-FEFFD6CD741A> /usr/lib/system/libsystem_trace.dylib
    0x7fff90747000 -     0x7fff9074bfff  com.apple.TCC (1.0 - 1) <CCA42EE2-3400-3444-9486-BC454E60D944> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff9074c000 -     0x7fff9074eff7  com.apple.securityhi (9.0 - 55006) <5DB5773C-FC07-302C-98FE-4B80D88D481A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff9075a000 -     0x7fff90795fff  com.apple.QD (301 - 301) <C4D2AD03-B839-350A-AAF0-B4A08F8BED77> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff90796000 -     0x7fff9079aff7  libGIF.dylib (1237) <8A40FED5-FA90-3E76-A359-CD974C43A962> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 133049
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=179.0M resident=138.8M(78%) swapped_out_or_unallocated=40.2M(22%)
Writable regions: Total=82.6M written=5000K(6%) resident=27.3M(33%) swapped_out=0K(0%) unallocated=55.3M(67%)

REGION TYPE                      VIRTUAL
===========                      =======
Dispatch continuations             8192K
Kernel Alloc Once                     4K
MALLOC                             57.2M
MALLOC (admin)                       32K
MALLOC_LARGE (reserved)             384K        reserved VM address space (unallocated)
STACK GUARD                           4K
Stack                              16.1M
VM_ALLOCATE                          32K
__DATA                             14.7M
__IMAGE                             528K
__LINKEDIT                         71.9M
__TEXT                            107.1M
__UNICODE                           552K
shared memory                         4K
===========                      =======
TOTAL                             276.5M
TOTAL, minus reserved VM space    276.2M


Model: MacBookPro12,1, BootROM MBP121.0167.B02, 2 processors, Intel Core i7, 3.1 GHz, 16 GB, SMC 2.28f6
Graphics: Intel Iris Graphics 6100, Intel Iris Graphics 6100, Built-In
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x133), Broadcom BCM43xx 1.0 (7.15.166.24.3)
Bluetooth: Version 4.3.4f4 15601, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SM1024G, 1 TB
USB Device: Hub
USB Device: Hub
USB Device: Internal Memory Card Reader
USB Device: Hub
USB Device: Hub
USB Device: Bluetooth USB Host Controller
Thunderbolt Bus: MacBook Pro, Apple Inc., 27.1
msg243963 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-05-24 03:01
One workaround should be to disable network proxy lookups by defining the environment variable 'no_proxy' with value '*' in the Python process, for example:

env no_proxy='*' python3.4 ...
msg243971 - (view) Author: Jacob (jrhite) Date: 2015-05-24 07:50
Thanks! That does work.

I'm concerned there may be unintended or undesired consequences of this.

Hope the bug gets fixed, but will use the workaround for now.
History
Date User Action Args
2017-05-19 15:21:23ned.deilylinkissue30385 superseder
2015-05-24 07:53:27ned.deilysetstatus: open -> closed
superseder: exception error in _scproxy.so when called after fork
resolution: duplicate
stage: resolved
2015-05-24 07:50:01jrhitesetmessages: + msg243971
2015-05-24 03:01:35ned.deilysetmessages: + msg243963
2015-05-24 02:36:12jrhitecreate